AltScore
Credit Management System (CMS)

Credit Management System (CMS)

The Credit Management System (CMS) manages credits and debts, and allows for various operations, such as:

  • Managing credit lines.
  • Handling credit flows.
  • Simulating and generating loans.
  • Managing customer portfolios.
  • Defining credit products.

URLs

https://api.altscore.ai

Main Entities

Partner

A Partner (Partner) is an entity that allows a Borrower to handle multiple independent credit lines. It is useful for representing business units, branches, or any entity that needs to maintain separate credit lines.

Usage examples:

  • A Partner can represent a distributor or franchise, allowing for a separate credit line for each one.
  • It can also be used to launch a new credit product, with exclusive credit lines for that product.
  • A Partner can be created for banks or financial institutions, with independent credit lines for customers.
  • Additionally, a Partner can represent third parties (e.g., in eCommerce), integrating credit functionality into their applications.

Each Partner is identified by a partnerId.

To act on CMS resources, it is necessary to send the X-Partner-ID header with the identifier of the partner you wish to act upon.

Example

curl --location 'https://api.altscore.ai/v1/debts/cb047f6d-a3f6-4533-9343-f860229b0ed4' \
--header 'X-Partner-ID: {my_partnerId}' \
--header 'Authorization : Bearer {token}'

Client

A Client (Client) is the entity to which a credit line is assigned and maintains debts. It is identified by a clientId.

Credit Account

The Credit Account (Credit Account) stores information about the credit line assigned to a client in relation to a Partner.

On this page